package ${basePackage}.module.system.mgr;

import ${basePackage}.frame.auth.Token;
import ${basePackage}.module.system.req.SequenceCreateRequest;
import ${basePackage}.module.system.req.SequenceDeleteRequest;
import ${basePackage}.module.system.req.SequenceFindRequest;
import ${basePackage}.module.system.req.SequenceGetRequest;
import ${basePackage}.module.system.req.SequenceUpdateRequest;
import ${basePackage}.module.system.rsp.SequenceCreateResponse;
import ${basePackage}.module.system.rsp.SequenceDeleteResponse;
import ${basePackage}.module.system.rsp.SequenceFindResponse;
import ${basePackage}.module.system.rsp.SequenceGetResponse;
import ${basePackage}.module.system.rsp.SequenceUpdateResponse;

/**
 * 序列
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-25
 */
public interface SequenceManager {

    /**
     * 插入
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    SequenceCreateResponse create(SequenceCreateRequest request, Token token);

    /**
     * 逻辑删除
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    SequenceDeleteResponse delete(SequenceDeleteRequest request, Token token);

    /**
     * 更新
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    SequenceUpdateResponse update(SequenceUpdateRequest request, Token token);

    /**
     * 查询
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    SequenceFindResponse find(SequenceFindRequest request, Token token);

    /**
     * 获得对象
     *
     * @param request 请求对象
     * @param token   令牌
     * @return
     */
    SequenceGetResponse get(SequenceGetRequest request, Token token);
}
