package ${basePackage}.module.system.mpr;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import ${basePackage}.frame.auth.Token;
import ${basePackage}.module.system.ent.Sequence;
import ${basePackage}.module.system.req.SequenceDeleteRequest;
import ${basePackage}.module.system.req.SequenceFindRequest;
import ${basePackage}.module.system.req.SequenceGetRequest;
import ${basePackage}.module.system.req.SequenceUpdateRequest;

import java.util.List;

/**
 * SEQUENCE - 序列
 *
 * @author wangbing
 * @date 2020-06-25
 */
@Mapper
public interface SequenceMapper {

    /**
     * 插入
     *
     * @param request 请求对象
     * @param token   令牌
     * @return 返回数量
     */
    long insert(@Param("request") Sequence request, @Param("token") Token token);

    /**
    * 批量插入
    *
    * @param request 请求对象
    * @param token   令牌
    * @return 返回数量
    */
    long insertBatch(@Param("list") List<Sequence> request, @Param("token") Token token);

    /**
     * 逻辑删除
     *
     * @param request 请求对象
     * @param token   令牌
     * @return 返回数量
     */
    long delete(@Param("request") SequenceDeleteRequest request, @Param("token") Token token);

    /**
     * 更新
     *
     * @param request 请求对象
     * @param token   令牌
     * @return 返回数量
     */
    long update(@Param("request") SequenceUpdateRequest request, @Param("token") Token token);

    /**
     * 查询
     *
     * @param request 请求对象
     * @param token   令牌
     * @return 返回对象
     */
    List<Sequence> find(@Param("request") SequenceFindRequest request, @Param("token") Token token);

    /**
     * 获得对象
     *
     * @param request 请求对象
     * @param token   令牌
     * @return 返回对象
     */
    Sequence get(@Param("request") SequenceGetRequest request, @Param("token") Token token);
}
